com.brightcove.player.captioning.preferences

## Class ListPreferenceWithSummary

- java.lang.Object
- - android.preference.Preference
  - - android.preference.DialogPreference
    - - android.preference.ListPreference
      - - com.brightcove.player.captioning.preferences.ListPreferenceWithSummary

- All Implemented Interfaces:
    android.content.DialogInterface.OnClickListener, android.content.DialogInterface.OnDismissListener, android.preference.PreferenceManager.OnActivityDestroyListener, java.lang.Comparable<android.preference.Preference>

      public class ListPreferenceWithSummary
      extends android.preference.ListPreference

  A small extension to ListPreference to work around a platform bug on older OS versions where the summary is not updated once the user chooses a value.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.preference.Preference

      `android.preference.Preference.BaseSavedState, android.preference.Preference.OnPreferenceChangeListener, android.preference.Preference.OnPreferenceClickListener`

  - ### Field Summary

    - ### Fields inherited from class android.preference.Preference

      `DEFAULT_ORDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListPreferenceWithSummary(android.content.Context context)`
    `ListPreferenceWithSummary(android.content.Context context, android.util.AttributeSet attrs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSummary(java.lang.CharSequence summary)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class android.preference.ListPreference

      `findIndexOfValue, getEntries, getEntry, getEntryValues, getSummary, getValue, onDialogClosed, onGetDefaultValue, onPrepareDialogBuilder, onRestoreInstanceState, onSaveInstanceState, onSetInitialValue, setEntries, setEntries, setEntryValues, setEntryValues, setValueIndex`

    - ### Methods inherited from class android.preference.DialogPreference

      `getDialog, getDialogIcon, getDialogLayoutResource, getDialogMessage, getDialogTitle, getNegativeButtonText, getPositiveButtonText, onActivityDestroy, onBindDialogView, onClick, onClick, onCreateDialogView, onDismiss, setDialogIcon, setDialogIcon, setDialogLayoutResource, setDialogMessage, setDialogMessage, setDialogTitle, setDialogTitle, setNegativeButtonText, setNegativeButtonText, setPositiveButtonText, setPositiveButtonText, showDialog`

    - ### Methods inherited from class android.preference.Preference

      `callChangeListener, compareTo, findPreferenceInHierarchy, getContext, getDependency, getEditor, getExtras, getFragment, getIcon, getIntent, getKey, getLayoutResource, getOnPreferenceChangeListener, getOnPreferenceClickListener, getOrder, getParent, getPersistedBoolean, getPersistedFloat, getPersistedInt, getPersistedLong, getPersistedString, getPersistedStringSet, getPreferenceDataStore, getPreferenceManager, getSharedPreferences, getShouldDisableView, getTitle, getTitleRes, getView, getWidgetLayoutResource, hasKey, isEnabled, isIconSpaceReserved, isPersistent, isRecycleEnabled, isSelectable, isSingleLineTitle, notifyChanged, notifyDependencyChange, notifyHierarchyChanged, onAttachedToActivity, onAttachedToHierarchy, onBindView, onCreateView, onDependencyChanged, onParentChanged, onPrepareForRemoval, peekExtras, persistBoolean, persistFloat, persistInt, persistLong, persistString, persistStringSet, restoreHierarchyState, saveHierarchyState, setDefaultValue, setDependency, setEnabled, setFragment, setIcon, setIcon, setIconSpaceReserved, setIntent, setKey, setLayoutResource, setOnPreferenceChangeListener, setOnPreferenceClickListener, setOrder, setPersistent, setPreferenceDataStore, setRecycleEnabled, setSelectable, setShouldDisableView, setSingleLineTitle, setSummary, setTitle, setTitle, setWidgetLayoutResource, shouldCommit, shouldDisableDependents, shouldPersist, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListPreferenceWithSummary

          public ListPreferenceWithSummary(android.content.Context context,
                                           android.util.AttributeSet attrs)

    - #### ListPreferenceWithSummary

          public ListPreferenceWithSummary(android.content.Context context)

  - ### Method Detail

    - #### setValue

          public void setValue(java.lang.String value)

      Overrides:
        `setValue` in class `android.preference.ListPreference`

    - #### setSummary

          public void setSummary(java.lang.CharSequence summary)

      Overrides:
        `setSummary` in class `android.preference.ListPreference`